Update Value Set
1 min
PATCH
https://api.nue.io/metadata/valueSets/{valueSetName}
Path Parameters
- valueSetNamestringrequiredDescription
Body Parameters
- bodyCreateValueSetRequestrequiredDescription
- apiNamestringrequiredExampleDescription
- namestringrequiredExampleDescription
- valuesValuePair[]
- apiNamestringExampleDescription
- namestringExampleDescription
- orderNumberinteger<int32>ExampleDescriptionFormatint32
- activebooleanExampleDescription
- defaultValuestring
- alphabeticallyOrderedboolean
Responses
200
- CreateValueSetResponse
- apiNamestring
- namestring
- valuesValuePair[]
- apiNamestringExampleDescription
- namestringExampleDescription
- orderNumberinteger<int32>ExampleDescriptionFormatint32
- activebooleanExampleDescription
- defaultValuestring
- alphabeticallyOrderedboolean
curl
curl --request PATCH \
--url https://api.nue.io/metadata/valueSets/{valueSetName} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"apiName": "Priority",
"name": "Priority Levels"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"apiName": "Priority",
"name": "Priority Levels"
});
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.nue.io/metadata/valueSets/{valueSetName}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/metadata/valueSets/{valueSetName}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"apiName": "Priority",
"name": "Priority Levels"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/metadata/valueSets/{valueSetName}"
payload = json.dumps({
"apiName": "Priority",
"name": "Priority Levels"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"apiName": "",
"name": "",
"values": [
{
"apiName": "High",
"name": "High Priority",
"orderNumber": 1,
"active": true
}
],
"defaultValue": "",
"alphabeticallyOrdered": false
}